#spring配置
spring:
  data:
    redis:
      ##redis 单机环境配置
      host: 118.195.196.59
      port: 6379
      password: xwkj2022@
      database: 0
      ssl:
        enabled: false
      ##redis 集群环境配置
      #cluster:
      #  nodes: 127.0.0.1:7001,127.0.0.1:7002,127.0.0.1:7003
      #  commandTimeout: 5000
  datasource:
    #driver-class-name: com.mysql.cj.jdbc.Driver
    driver-class-name: org.postgresql.Driver
    #driver-class-name: oracle.jdbc.OracleDriver
    #driver-class-name: com.microsoft.sqlserver.jdbc.SQLServerDriver
    #driver-class-name: dm.jdbc.driver.DmDriver
    #driver-class-name: com.yashandb.jdbc.Driver
    druid:
      # MySql、PostgreSQL、SqlServer、DaMeng校验
      validation-query: select 1
      # Oracle、YashanDB校验
      #oracle: true
      #validation-query: select 1 from dual

#项目模块集中配置
blade:
  #分布式锁配置
  lock:
    enabled: false
    address: redis://127.0.0.1:6379
  #多团队协作服务配置
  loadbalancer:
    #开启配置
    enabled: true
    #负载均衡优先调用的ip段
    prior-ip-pattern:
      - 192.168.0.*
      - 127.0.0.1
  #通用开发生产环境数据库地址(特殊情况可在对应的子工程里配置覆盖)
  datasource:
      dynamic:
          primary: st
          datasource:
              st: # 省厅数据库配置
                  driver-class-name: org.postgresql.Driver
                  #          url: jdbc:postgresql://192.168.50.93:5432/postgres?currentSchema=jdrh
                  url: jdbc:postgresql://localhost:5433/postgres?currentSchema=jdrh
                  #          url: jdbc:postgresql://118.195.196.59:5432/xwkjdb?currentSchema=jdrh
                  username: postgres
                  password: xwkj2022@
              jl: # 吉林数据库配置
                  driver-class-name: org.postgresql.Driver
                  url: jdbc:postgresql://111.26.204.4:5432/postgres?currentSchema=jdrh
                  username: postgres
                  password: xwkj2022@
